Object Method Interceptors
Evas » Generic Object Functions

Evas provides a way to intercept method calls. More...

typedef void(* | Evas_Object_Intercept_Show_Cb) (void *data, Evas_Object *obj)
| Function signature for the resize event of an evas object.
typedef void(* | Evas_Object_Intercept_Hide_Cb) (void *data, Evas_Object *obj)
| Function signature for the hide event of an evas object.
typedef void(* | Evas_Object_Intercept_Move_Cb) (void *data, Evas_Object *obj, Evas_Coord x, Evas_Coord y)
| Function signature for the move event of an evas object.
typedef void(* | Evas_Object_Intercept_Resize_Cb) (void *data, Evas_Object *obj, Evas_Coord w, Evas_Coord h)
| Function signature for the resize event of an evas object.
typedef void(* | Evas_Object_Intercept_Raise_Cb) (void *data, Evas_Object *obj)
| Function signature for the raise event of an evas object.
typedef void(* | Evas_Object_Intercept_Lower_Cb) (void *data, Evas_Object *obj)
| Function signature for the lower event of an evas object.
typedef void(* | Evas_Object_Intercept_Stack_Above_Cb) (void *data, Evas_Object *obj, Evas_Object *above)
| Function signature for the stack above event of an evas object.
typedef void(* | Evas_Object_Intercept_Stack_Below_Cb) (void *data, Evas_Object *obj, Evas_Object *above)
| Function signature for the stack below event of an evas object.
typedef void(* | Evas_Object_Intercept_Layer_Set_Cb) (void *data, Evas_Object *obj, int l)
| Function signature for the layer event of an evas object.
typedef void(* | Evas_Object_Intercept_Focus_Set_Cb) (void *data, Evas_Object *obj, Eina_Bool focus)
| Function signature for the focus set event of an evas object.
typedef void(* | Evas_Object_Intercept_Device_Focus_Set_Cb) (void *data, Evas_Object *obj, Eina_Bool focus, Eo *seat)
| Function signature for the focus set event of an evas object with seat info.
typedef void(* | Evas_Object_Intercept_Color_Set_Cb) (void *data, Evas_Object *obj, int r, int g, int b, int a)
| Function signature for the color set event of an evas object.
typedef void(* | Evas_Object_Intercept_Clip_Set_Cb) (void *data, Evas_Object *obj, Evas_Object *clip)
| Function signature for the clip set event of an evas object.
typedef void(* | Evas_Object_Intercept_Clip_Unset_Cb) (void *data, Evas_Object *obj)
| Function signature for the clip unset event of an evas object.
EVAS_API void | evas_object_intercept_show_callback_add (Evas_Object *obj, Evas_Object_Intercept_Show_Cb func, const void *data)
| Set the callback function that intercepts a show event of an object.
EVAS_API void * | evas_object_intercept_show_callback_del (Evas_Object *obj, Evas_Object_Intercept_Show_Cb func)
| Unset the callback function that intercepts a show event of a object.
EVAS_API void | evas_object_intercept_hide_callback_add (Evas_Object *obj, Evas_Object_Intercept_Hide_Cb func, const void *data)
| Set the callback function that intercepts a hide event of a object.
EVAS_API void * | evas_object_intercept_hide_callback_del (Evas_Object *obj, Evas_Object_Intercept_Hide_Cb func)
| Unset the callback function that intercepts a hide event of a object.
EVAS_API void | evas_object_intercept_move_callback_add (Evas_Object *obj, Evas_Object_Intercept_Move_Cb func, const void *data)
| Set the callback function that intercepts a move event of an object.
EVAS_API void * | evas_object_intercept_move_callback_del (Evas_Object *obj, Evas_Object_Intercept_Move_Cb func)
| Unset the callback function that intercepts a move event of an object.
EVAS_API void | evas_object_intercept_resize_callback_add (Evas_Object *obj, Evas_Object_Intercept_Resize_Cb func, const void *data)
| Set the callback function that intercepts a resize event of an object.
EVAS_API void * | evas_object_intercept_resize_callback_del (Evas_Object *obj, Evas_Object_Intercept_Resize_Cb func)
| Unset the callback function that intercepts a resize event of an object.
EVAS_API void | evas_object_intercept_raise_callback_add (Evas_Object *obj, Evas_Object_Intercept_Raise_Cb func, const void *data)
| Set the callback function that intercepts a raise event of an object.
EVAS_API void * | evas_object_intercept_raise_callback_del (Evas_Object *obj, Evas_Object_Intercept_Raise_Cb func)
| Unset the callback function that intercepts a raise event of an object.
EVAS_API void | evas_object_intercept_lower_callback_add (Evas_Object *obj, Evas_Object_Intercept_Lower_Cb func, const void *data)
| Set the callback function that intercepts a lower event of an object.
EVAS_API void * | evas_object_intercept_lower_callback_del (Evas_Object *obj, Evas_Object_Intercept_Lower_Cb func)
| Unset the callback function that intercepts a lower event of an object.
EVAS_API void | evas_object_intercept_stack_above_callback_add (Evas_Object *obj, Evas_Object_Intercept_Stack_Above_Cb func, const void *data)
| Set the callback function that intercepts a stack above event of an object.
EVAS_API void * | evas_object_intercept_stack_above_callback_del (Evas_Object *obj, Evas_Object_Intercept_Stack_Above_Cb func)
| Unset the callback function that intercepts a stack above event of an object.
EVAS_API void | evas_object_intercept_stack_below_callback_add (Evas_Object *obj, Evas_Object_Intercept_Stack_Below_Cb func, const void *data)
| Set the callback function that intercepts a stack below event of an object.
EVAS_API void * | evas_object_intercept_stack_below_callback_del (Evas_Object *obj, Evas_Object_Intercept_Stack_Below_Cb func)
| Unset the callback function that intercepts a stack below event of an object.
EVAS_API void | evas_object_intercept_layer_set_callback_add (Evas_Object *obj, Evas_Object_Intercept_Layer_Set_Cb func, const void *data)
| Set the callback function that intercepts a layer set event of an object.
EVAS_API void * | evas_object_intercept_layer_set_callback_del (Evas_Object *obj, Evas_Object_Intercept_Layer_Set_Cb func)
| Unset the callback function that intercepts a layer set event of an object.
EVAS_API void | evas_object_intercept_color_set_callback_add (Evas_Object *obj, Evas_Object_Intercept_Color_Set_Cb func, const void *data)
| Set the callback function that intercepts a color set event of an object.
EVAS_API void * | evas_object_intercept_color_set_callback_del (Evas_Object *obj, Evas_Object_Intercept_Color_Set_Cb func)
| Unset the callback function that intercepts a color set event of an object.
EVAS_API void | evas_object_intercept_clip_set_callback_add (Evas_Object *obj, Evas_Object_Intercept_Clip_Set_Cb func, const void *data)
| Set the callback function that intercepts a clip set event of an object.
EVAS_API void * | evas_object_intercept_clip_set_callback_del (Evas_Object *obj, Evas_Object_Intercept_Clip_Set_Cb func)
| Unset the callback function that intercepts a clip set event of an object.
EVAS_API void | evas_object_intercept_clip_unset_callback_add (Evas_Object *obj, Evas_Object_Intercept_Clip_Unset_Cb func, const void *data)
| Set the callback function that intercepts a clip unset event of an object.
EVAS_API void * | evas_object_intercept_clip_unset_callback_del (Evas_Object *obj, Evas_Object_Intercept_Clip_Unset_Cb func)
| Unset the callback function that intercepts a clip unset event of an object.
EVAS_API void | evas_object_intercept_focus_set_callback_add (Evas_Object *obj, Evas_Object_Intercept_Focus_Set_Cb func, const void *data)
| Set the callback function that intercepts a focus set event of an object.
EVAS_API void * | evas_object_intercept_focus_set_callback_del (Evas_Object *obj, Evas_Object_Intercept_Focus_Set_Cb func)
| Unset the callback function that intercepts a focus set event of an object.
EVAS_API void | evas_object_intercept_device_focus_set_callback_add (Evas_Object *obj, Evas_Object_Intercept_Device_Focus_Set_Cb func, const void *data)
| Set the callback function that intercepts a focus set event of an object.
EVAS_API void * | evas_object_intercept_device_focus_set_callback_del (Evas_Object *obj, Evas_Object_Intercept_Device_Focus_Set_Cb func)
| Unset the callback function that intercepts a focus set event of an object.

## Detailed Description

Evas provides a way to intercept method calls.

The interceptor callback may opt to completely deny the call, or may check and change the parameters before continuing. The continuation of an intercepted call is done by calling the intercepted call again, from inside the interceptor callback.

## Typedef Documentation

## Evas_Object_Intercept_Show_Cb

typedef void(* Evas_Object_Intercept_Show_Cb) (void *data, Evas_Object *obj)

Function signature for the resize event of an evas object.

Parameters

  data | is the pointer passed through the callback.
  obj | the object being shown.

See also
  evas_object_intercept_show_callback_add()
  evas_object_intercept_show_callback_del()

## Evas_Object_Intercept_Hide_Cb

typedef void(* Evas_Object_Intercept_Hide_Cb) (void *data, Evas_Object *obj)

Function signature for the hide event of an evas object.

Parameters

  data | is the pointer passed through the callback.
  obj | the object being hidden.

See also
  evas_object_intercept_hide_callback_add()
  evas_object_intercept_hide_callback_del()

## Evas_Object_Intercept_Move_Cb

typedef void(* Evas_Object_Intercept_Move_Cb) (void *data, Evas_Object *obj, Evas_Coord x, Evas_Coord y)

Function signature for the move event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being moved.
  x | move x position
  y | move y position

See also
  evas_object_intercept_move_callback_add()
  evas_object_intercept_move_callback_del()

## Evas_Object_Intercept_Resize_Cb

typedef void(* Evas_Object_Intercept_Resize_Cb) (void *data, Evas_Object *obj, Evas_Coord w, Evas_Coord h)

Function signature for the resize event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being resized.
  width | of the object
  height | of the object

See also
  evas_object_intercept_resize_callback_add()
  evas_object_intercept_resize_callback_del()

## Evas_Object_Intercept_Raise_Cb

typedef void(* Evas_Object_Intercept_Raise_Cb) (void *data, Evas_Object *obj)

Function signature for the raise event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being raised.

See also
  evas_object_intercept_raise_callback_add()
  evas_object_intercept_raise_callback_del()

## Evas_Object_Intercept_Lower_Cb

typedef void(* Evas_Object_Intercept_Lower_Cb) (void *data, Evas_Object *obj)

Function signature for the lower event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being lowered.

See also
  evas_object_intercept_lower_callback_add()
  evas_object_intercept_lower_callback_del()

## Evas_Object_Intercept_Stack_Above_Cb

typedef void(* Evas_Object_Intercept_Stack_Above_Cb) (void *data, Evas_Object *obj, Evas_Object *above)

Function signature for the stack above event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being stacked above.
  above | the object above which the object is stacked

See also
  evas_object_intercept_stack_above_callback_add()
  evas_object_intercept_stack_above_callback_del()

## Evas_Object_Intercept_Stack_Below_Cb

typedef void(* Evas_Object_Intercept_Stack_Below_Cb) (void *data, Evas_Object *obj, Evas_Object *above)

Function signature for the stack below event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being stacked below.
  above | the object below which the object is stacked

See also
  evas_object_intercept_stack_below_callback_add()
  evas_object_intercept_stack_below_callback_del()

## Evas_Object_Intercept_Layer_Set_Cb

typedef void(* Evas_Object_Intercept_Layer_Set_Cb) (void *data, Evas_Object *obj, int l)

Function signature for the layer event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being layered
  l | the layer value

See also
  evas_object_intercept_layer_callback_add()
  evas_object_intercept_layer_callback_del()

## Evas_Object_Intercept_Focus_Set_Cb

typedef void(* Evas_Object_Intercept_Focus_Set_Cb) (void *data, Evas_Object *obj, Eina_Bool focus)

Function signature for the focus set event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being focused
  focus | the focus value, EINA_TRUE if the object is focused, EINA_FALSE otherwise

See also
  evas_object_intercept_focus_set_callback_add()
  evas_object_intercept_focus_set_callback_del()

## Evas_Object_Intercept_Device_Focus_Set_Cb

typedef void(* Evas_Object_Intercept_Device_Focus_Set_Cb) (void *data, Evas_Object *obj, Eina_Bool focus, Eo *seat)

Function signature for the focus set event of an evas object with seat info.

Parameters

  data | the pointer passed through the callback.
  obj | the object being focused
  focus | the focus value, EINA_TRUE if the object is focused, EINA_FALSE otherwise
  seat | the seat for which focus is being set

See also
  evas_object_intercept_device_focus_set_callback_add()
  evas_object_intercept_device_focus_set_callback_del()

Since
  1.20

## Evas_Object_Intercept_Color_Set_Cb

typedef void(* Evas_Object_Intercept_Color_Set_Cb) (void *data, Evas_Object *obj, int r, int g, int b, int a)

Function signature for the color set event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object changing color
  r | the red component of the color
  g | the green component of the color
  b | the blue component of the color
  a | the alpha component of the color

See also
  evas_object_intercept_color_set_callback_add()
  evas_object_intercept_color_set_callback_del()

## Evas_Object_Intercept_Clip_Set_Cb

typedef void(* Evas_Object_Intercept_Clip_Set_Cb) (void *data, Evas_Object *obj, Evas_Object *clip)

Function signature for the clip set event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being clipped
  clip | the evas object on which the object is clipped

See also
  evas_object_intercept_clip_set_callback_add()
  evas_object_intercept_clip_set_callback_del()

## Evas_Object_Intercept_Clip_Unset_Cb

typedef void(* Evas_Object_Intercept_Clip_Unset_Cb) (void *data, Evas_Object *obj)

Function signature for the clip unset event of an evas object.

Parameters

  data | the pointer passed through the callback.
  obj | the object being unclipped

See also
  evas_object_intercept_clip_unset_callback_add()
  evas_object_intercept_clip_unset_callback_del()

## Function Documentation

## evas_object_intercept_show_callback_add()

EVAS_API void evas_object_intercept_show_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Show_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a show event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a show event of a canvas object.

See also
  evas_object_intercept_show_callback_del().

## evas_object_intercept_show_callback_del()

EVAS_API void * evas_object_intercept_show_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Show_Cb | func )

Unset the callback function that intercepts a show event of a object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a show event of a canvas object.

See also
  evas_object_intercept_show_callback_add().

## evas_object_intercept_hide_callback_add()

EVAS_API void evas_object_intercept_hide_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Hide_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a hide event of a object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a hide event of a canvas object.

See also
  evas_object_intercept_hide_callback_del().

## evas_object_intercept_hide_callback_del()

EVAS_API void * evas_object_intercept_hide_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Hide_Cb | func )

Unset the callback function that intercepts a hide event of a object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a hide event of a canvas object.

See also
  evas_object_intercept_hide_callback_add().

## evas_object_intercept_move_callback_add()

EVAS_API void evas_object_intercept_move_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Move_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a move event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a move event of a canvas object.

See also
  evas_object_intercept_move_callback_del().

## evas_object_intercept_move_callback_del()

EVAS_API void * evas_object_intercept_move_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Move_Cb | func )

Unset the callback function that intercepts a move event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a move event of a canvas object.

See also
  evas_object_intercept_move_callback_add().

## evas_object_intercept_resize_callback_add()

EVAS_API void evas_object_intercept_resize_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Resize_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a resize event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a resize event of a canvas object.

See also
  evas_object_intercept_resize_callback_del().

## evas_object_intercept_resize_callback_del()

EVAS_API void * evas_object_intercept_resize_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Resize_Cb | func )

Unset the callback function that intercepts a resize event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a resize event of a canvas object.

See also
  evas_object_intercept_resize_callback_add().

## evas_object_intercept_raise_callback_add()

EVAS_API void evas_object_intercept_raise_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Raise_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a raise event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a raise event of a canvas object.

See also
  evas_object_intercept_raise_callback_del().

## evas_object_intercept_raise_callback_del()

EVAS_API void * evas_object_intercept_raise_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Raise_Cb | func )

Unset the callback function that intercepts a raise event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a raise event of a canvas object.

See also
  evas_object_intercept_raise_callback_add().

## evas_object_intercept_lower_callback_add()

EVAS_API void evas_object_intercept_lower_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Lower_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a lower event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a lower event of a canvas object.

See also
  evas_object_intercept_lower_callback_del().

## evas_object_intercept_lower_callback_del()

EVAS_API void * evas_object_intercept_lower_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Lower_Cb | func )

Unset the callback function that intercepts a lower event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a lower event of a canvas object.

See also
  evas_object_intercept_lower_callback_add().

## evas_object_intercept_stack_above_callback_add()

EVAS_API void evas_object_intercept_stack_above_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Stack_Above_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a stack above event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a stack above event of a canvas object.

See also
  evas_object_intercept_stack_above_callback_del().

## evas_object_intercept_stack_above_callback_del()

EVAS_API void * evas_object_intercept_stack_above_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Stack_Above_Cb | func )

Unset the callback function that intercepts a stack above event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a stack above event of a canvas object.

See also
  evas_object_intercept_stack_above_callback_add().

## evas_object_intercept_stack_below_callback_add()

EVAS_API void evas_object_intercept_stack_below_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Stack_Below_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a stack below event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a stack below event of a canvas object.

See also
  evas_object_intercept_stack_below_callback_del().

## evas_object_intercept_stack_below_callback_del()

EVAS_API void * evas_object_intercept_stack_below_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Stack_Below_Cb | func )

Unset the callback function that intercepts a stack below event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a stack below event of a canvas object.

See also
  evas_object_intercept_stack_below_callback_add().

## evas_object_intercept_layer_set_callback_add()

EVAS_API void evas_object_intercept_layer_set_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Layer_Set_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a layer set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a layer set event of a canvas object.

See also
  evas_object_intercept_layer_set_callback_del().

## evas_object_intercept_layer_set_callback_del()

EVAS_API void * evas_object_intercept_layer_set_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Layer_Set_Cb | func )

Unset the callback function that intercepts a layer set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a layer set event of a canvas object.

See also
  evas_object_intercept_layer_set_callback_add().

## evas_object_intercept_color_set_callback_add()

EVAS_API void evas_object_intercept_color_set_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Color_Set_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a color set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a color set event of a canvas object.

See also
  evas_object_intercept_color_set_callback_del().

## evas_object_intercept_color_set_callback_del()

EVAS_API void * evas_object_intercept_color_set_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Color_Set_Cb | func )

Unset the callback function that intercepts a color set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a color set event of a canvas object.

See also
  evas_object_intercept_color_set_callback_add().

## evas_object_intercept_clip_set_callback_add()

EVAS_API void evas_object_intercept_clip_set_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Clip_Set_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a clip set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a clip set event of a canvas object.

See also
  evas_object_intercept_clip_set_callback_del().

## evas_object_intercept_clip_set_callback_del()

EVAS_API void * evas_object_intercept_clip_set_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Clip_Set_Cb | func )

Unset the callback function that intercepts a clip set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a clip set event of a canvas object.

See also
  evas_object_intercept_clip_set_callback_add().

## evas_object_intercept_clip_unset_callback_add()

EVAS_API void evas_object_intercept_clip_unset_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Clip_Unset_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a clip unset event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a clip unset event of a canvas object.

See also
  evas_object_intercept_clip_unset_callback_del().

## evas_object_intercept_clip_unset_callback_del()

EVAS_API void * evas_object_intercept_clip_unset_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Clip_Unset_Cb | func )

Unset the callback function that intercepts a clip unset event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a clip unset event of a canvas object.

See also
  evas_object_intercept_clip_unset_callback_add().

## evas_object_intercept_focus_set_callback_add()

EVAS_API void evas_object_intercept_focus_set_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Focus_Set_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a focus set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a focus set event of a canvas object.

See also
  evas_object_intercept_focus_set_callback_del().

## evas_object_intercept_focus_set_callback_del()

EVAS_API void * evas_object_intercept_focus_set_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Focus_Set_Cb | func )

Unset the callback function that intercepts a focus set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a focus set event of a canvas object.

See also
  evas_object_intercept_focus_set_callback_add().

## evas_object_intercept_device_focus_set_callback_add()

EVAS_API void evas_object_intercept_device_focus_set_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Device_Focus_Set_Cb | func,
|  | const void * | data )

Set the callback function that intercepts a focus set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a focus set event of a canvas object and provides seat info.

See also
  evas_object_intercept_device_focus_set_callback_del().

Since
  1.20

## evas_object_intercept_device_focus_set_callback_del()

EVAS_API void * evas_object_intercept_device_focus_set_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Device_Focus_Set_Cb | func )

Unset the callback function that intercepts a focus set event of an object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a focus set event of a canvas object and provides seat info.

See also
  evas_object_intercept_device_focus_set_callback_add().

Since
  1.20